[PATCH 6/8] Match less; don't ignore case.

Cristian Ionescu-Idbohrn cristian.ionescu-idbohrn at axis.com
Sun May 12 02:51:14 PDT 2013


Still, some false positives show up ('Veo 3.0' is one of them).

Signed-off-by: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn at axis.com>
---
 scripts/check-version |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/scripts/check-version b/scripts/check-version
index 66ee086..29719a7 100755
--- a/scripts/check-version
+++ b/scripts/check-version
@@ -77,7 +77,9 @@ done
 sts=0
 whine "checking for version $v"
 for f in $files; do
-	grep $opts -EHi "(VERSION=|subsurface[[:blank:]]+)?\<v?$v[.0-9]*\>" $f || {
+	grep	-EH $opts \
+		-e "(VERSION=|[Ss]ubsurface[[:blank:]]+)?\<v?$v[.0-9]*\>" \
+		$f || {
 		[ $release != y ] || sts=1
 		whine "'$f' may need updating"
 	}
-- 
1.7.10.4



More information about the subsurface mailing list